module Main where

import Villefort.Server (villefort)
import Villefort.Config (defaultConfig,defWeekly)
import Villefort.Definitions(database
                            ,monday
                            ,tuesday
                            ,wednesday
                            ,thursday
                            ,friday
                            ,weekly)

main :: IO ()
main = villefort defaultConfig {
    database= "/home/alice/dotfiles/todo.db"
    ,weekly = utSchedule
    
  }

utSchedule = defWeekly {
   monday = [return ["Type up m408c notes","408c notes","m408"]
            ,return ["Type up ugs303 lecture notes","ugs303 notes","ugs303"]
            ,return ["Do m408c homework","m408c hw","m408"]
            ,return ["Do cs314hw for Friday","cs314 hw", "cs314"]
            ,return ["Do cs311hw for Friday","cs311 hw", "cs211"]
            ],
   tuesday = [return ["Type up cs311 lecture notes","cs311 notes","cs311"]
             ,return ["Type up cs314 lecture notes","cs314 notes","cs314"]
             ],
   wednesday = [return ["Type up m408c notes","408c notes","m408"]
               ,return ["Type up ugs303 lecture notes","ugs303 notes","ugs303"]
               ,return ["Do m408c homework","m408c hw","m408"]
               ],
   thursday = [return ["Type up cs311 lecture notes","cs311 notes","cs311"]
              ,return ["Type up cs314 lecture notes","cs314 notes","cs314"]
              ],
     
   friday  = [return ["Type up m408c notes","408c notes","m408"]
            ,return ["Type up ugs303 lecture notes","ugs303 notes","ugs303"]
            ,return ["Do m408c homework","m408c hw","m408"]
            ]
   }
  
